from rest_framework.permissions import BasePermission

import logging


class CheckByEmailPermission(BasePermission):
    def has_permission(self, request, view):
        return request.user.has_perm("members.check_by_email")
